



local function WPDropDownDemo_OnClick(self, arg1, arg2, checked)
	if arg1 == 1 then
		UIDropDownMenu_SetText(FarmSesh_InterfacePanel.dropDown, "Black")
		FarmSesh_Frame:SetBackdropBorderColor(0.0,0.0,0.0,1.0)
		FarmSesh_InterfaceSettings.frameBorderColorText = "Black"
		FarmSesh_InterfaceSettings.frameBorderColor = {r=0.0,g=0.0,b=0.0,a=1.0}
	 elseif arg1 == 2 then
		UIDropDownMenu_SetText(FarmSesh_InterfacePanel.dropDown, "Green")
		FarmSesh_Frame:SetBackdropBorderColor(0.0,1.0,0.0,1.0)
		FarmSesh_InterfaceSettings.frameBorderColorText = "Green"
		FarmSesh_InterfaceSettings.frameBorderColor = {r=0.0,g=1.0,b=0.0,a=1.0}
	 elseif arg1 == 3 then
		UIDropDownMenu_SetText(FarmSesh_InterfacePanel.dropDown, "White")
		FarmSesh_Frame:SetBackdropBorderColor(1.0,1.0,1.0,1.0)
		FarmSesh_InterfaceSettings.frameBorderColorText = "White"
		FarmSesh_InterfaceSettings.frameBorderColor = {r=1.0,g=1.0,b=1.0,a=1.0}
	end
end

function WPDropDownDemo_Menu(frame, level, menuList)
	 local info = UIDropDownMenu_CreateInfo()
	 info.func = WPDropDownDemo_OnClick
	 info.text, info.arg1 = "Black", 1
	 UIDropDownMenu_AddButton(info)
	 info.text, info.arg1 = "Green", 2
	 UIDropDownMenu_AddButton(info)
	 info.text, info.arg1 = "White", 3
	 UIDropDownMenu_AddButton(info)
end

function FarmSesh_InterfacePanel_OnLoad(panel)
        
        -- Set the name for the Category for the Panel
        --
        
		panel.name = "Farm Sesh";
		panel.title = panel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
        panel.title:SetPoint("TOPLEFT", 12, -12)
		panel.title:SetText("Farm Sesh")

		-- When the player clicks okay, run this function.
        --
        --panel.okay = function (self) SC_ChaChingPanel_Close(); end;

        -- When the player clicks cancel, run this function.
        --
        --panel.cancel = function (self)  SC_ChaChingPanel_CancelOrLoad();  end;

        -- Add the panel to the Interface Options
        --
        InterfaceOptions_AddCategory(panel);
		
		
		panel.dropdownText = panel:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		panel.dropdownText:SetPoint("TOPLEFT", 15, -50)
		panel.dropdownText:SetText("Border Tint:")
		
		
		
		panel.dropDown = CreateFrame("Frame", "WPDemoDropDown", panel, "UIDropDownMenuTemplate")
		panel.dropDown:SetPoint("TOPLEFT", 65, -42)
		panel.dropDown:SetWidth(200)
		panel.dropDown.tex = panel.dropDown:CreateTexture(nil, "BACKGROUND")
		panel.dropDown.tex:SetAllPoints()
		
		-- Bind an initializer function to the dropdown; see previous sections for initializer function examples.
		UIDropDownMenu_Initialize(panel.dropDown, WPDropDownDemo_Menu)
		
		FarmSesh_Frame:SetBackdropBorderColor(FarmSesh_InterfaceSettings.frameBorderColor.r, FarmSesh_InterfaceSettings.frameBorderColor.g, FarmSesh_InterfaceSettings.frameBorderColor.b, FarmSesh_InterfaceSettings.frameBorderColor.a)
		UIDropDownMenu_SetText(FarmSesh_InterfacePanel.dropDown, FarmSesh_InterfaceSettings.frameBorderColorText)
		
		
end
	


